# Changelog 'stable'

Hier dokumentieren wir die Änderungen an der Stable-Firmware von Freifunk Hochstift.

## 1.5.0

Änderungen im Vergleich zu [1.4.1](https://firmware.hochstift.freifunk.net/1.4.1/Changelog.html)

* Basis: gluon [2021.1.2](https://github.com/freifunk-gluon/gluon/releases/tag/2021.1.2)
* Bugfixes: Security updates. Read https://gluon.readthedocs.io/en/latest/releases/v2021.1.2.html for further information.
* Neue Hardware:
    * Plasma Cloud 
	* PA300(E)
	* PA1200
	* PA2200
    * TP-Link Archer C2 v3
    * TP-Link Archer D50 v1
    * AVM FritzBox 7530
    * Netgear EX3700
    * Netgear EX3800
    * Joy-IT JT-PR750i
    * Xiaomi Mi Router 4A (100M Edition)

## 1.4.1

Änderungen im Vergleich zu [1.4.0](https://firmware.hochstift.freifunk.net/1.4.0/Changelog.html)

* Basis: gluon [v2020.2.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2020.2.2)
* Im Konfigmode lässt dich die Verschlüsselung auf dem VPN-Tunnel deaktivieren. Dadurch wird die mögiche Bandbreite etwas erhöht. 
* Dieses Release wird für Edgerouter aufgrund eines Updatefehlers nicht als automatisches Update bereitgestellt.
* Neue Hardware
    * GL.iNet GL-AR750S
    * TP-Link CPE220 (v3)
    * TP-Link CPE210 (v3.20)
    * EnGenius ENS620EXT
    * Linksys EA6350 (v3)
    * TP-Link TD-W8970
    * NETGEAR DGN3500B
    * Cudy WR1000
    * Devices older than the Pentium 4

## 1.4.0

Änderungen im Vergleich zu [1.3.0](https://firmware.hochstift.freifunk.net/1.3.0/Changelog.html)

* Basis: gluon [v2020.1.1](https://github.com/freifunk-gluon/gluon/releases/tag/v2020.1.1)
* Dieses Release wird für Edgerouter aufgrund eines Updatefehlers nicht als Update bereitgestellt.
* Neue Hardware:
  * devolo WiFi pro 1200e, 1200i
  * devolo WiFi pro 1750c, 1750e, 1750i, 1750x
  * GL.iNet GL-AR300M-Lite
  * OCEDO Raccoon
  * TP-Link Archer C6 v2
  * Aruba AP-303
  * Aruba Instant On AP11
  * AVM FRITZ!Repeater 1200
  * AVM FRITZ!Box 7312, 7320. 7330, 7330 SL
  * AVM FRITZ!Box 7360 (v1, v2), 7360 SL, 7362 SL, 7412
  * Enterasys WS-AP3710i
  * OCEDO Panda
  * TP-Link Archer C2 (v1), C20 (v1), C20i, C50 (v1)
  * Xiaomi MiWifi Mini
  * Netgear EX6150 (v1), R6220
  *  GL.iNet VIXMINI
  * TP-Link TL-MR3020 (v3)
  * TP-Link TL-WA801ND (v5)
  * TP-Link TL-WR902AC (v3)
* Nicht mehr unterstützte Hardware:
  * ALFA Network Hornet-UB 
  * ALFA Network Tube2H 
  * ALFA Network N2 
  * ALFA Network N5 

## 1.3.0

Änderungen im Vergleich zu [1.2.2](https://firmware.hochstift.freifunk.net/1.2.2/Changelog.html)

* Basis: gluon [v2019.1.1](https://github.com/freifunk-gluon/gluon/releases/tag/v2019.1.1)
* Hinweis auf Knotenregistrierung entfernt (wir akzeptieren jetzt neue Knoten automatisch)
* IPs von GW01 angepasst
* Signingkey von KnicklichtJedi entfernt
* Neue Hardware:
    * TP-Link CPE 210 v3
    * TP-Link MR3420 v5
    * TP-Link TL-WR840N v2
    * Aerohive HiveAP 121
    * Aerohive HiveAP 330
    * D-Link DAP-1330 A1
    * 8devices Jalapeno
    * Asus RT-AC57U

## 1.2.2

Änderungen im Vergleich zu [1.2.1](https://firmware.hochstift.freifunk.net/1.2.1/Changelog.html)

* Basis: gluon [v2018.2.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2018.2.2)
* Eigene Patches wurden entfernt, da diese nicht mehr notwendig sind. 
* Neue Hardware:
    * Fritz! WLAN Repeater 300E
    * Nexx WT3020AD/F/H
    * GL.iNet MT300N (v2)
    * Netgear R6100
    * TP-Link Archer C50
    * TP-Link WR841N v13

## 1.2.1

Änderungen im Vergleich zu [1.2.0](https://firmware.hochstift.freifunk.net/1.2.0/Changelog.html)

* Bugfixes
  * Durch den Tausch einer Library in Gluon 2018.2 funktionierten Scripte nicht mehr. Dies betrifft den Autoupdater-Wifi-Fallback.

## 1.2.0

Änderungen im Vergleich zu [1.1.0](https://firmware.hochstift.freifunk.net/1.1.0/Changelog.html)

* Basis: gluon [v2018.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2018.2)
    * Konfiguration, Texte und Pakete für gluon v2018.2 angepasst
    * Im Configwizard kann die Position jetzt anhand einer Karte ausgewählt werden
    * Signing key von kb-light durch den von KnicklichtJedi ersetzt
* Bugfixes:
    * Autoupdater-wifi-fallback: In 1.1.0 fehlte ein Patch für das iw-Kommando, sodass der autoupdater-wifi-fallback keine Verbindung zu offenen WLANs aufbauen konnte.
* Neue Hardware
    * A5
        * V11
    * ALFA NETWORK
        * AP121F
    * AVM
        * FRITZ!Box 4020
        * FRITZ!Box 4040
        * Fritz!WLAN Repeater 450E
    * D-Link
        * DIR615 (D1, D2, D3, D4, H1)
        * DIR-860L B1
    * GL Innovations
        * GL-B1300
        * GL-MT300A
        * GL-MT300N
        * GL-MT750
    * LeMaker/SinoVoip
        * Banana Pi (M1)
    * Netgear
        * EX6100v2
        * EX6150v2
    * OCEDEO
        * Koala
    * OpenMesh
        * A40
        * A42
        * A60
        * A62
        * OM2P v4
        * OM2P-HS v4
    * TP-Link
        * Archer C59 v1
        * Archer C2600
        * Archer C7 v5
        * CPE210 v2
        * TL-WA901ND v5
        * TL-WR810N v1
    * Ubiquiti
        * UniFi AC Mesh Pro
    * VoCore
        * VoCore 2
    * ZBT
        * WG3526-16M
        * WG3526-32M
    * ZyXEL
        * NBG6616
        * NBG6617
        * NBG6716
        * WRE6606


## 1.1.0

Änderungen im Vergleich zu [1.0.6](https://firmware.hochstift.freifunk.net/1.0.6/Changelog.html)

* Basis: gluon [v2017.1.8](https://github.com/freifunk-gluon/gluon/releases/tag/v2017.1.8)
    * Konfiguration, Texte und Pakete für gluon v2017.1.x angepasst
* ffho-ath9k-blackout-workaround: entfernt
* ffho-autoupdater-wifi-fallback-legacy: entfernt
* ffho-debug:
    * der Befehl heißt nun 'debug-report'
    * der Debug-Report wird nur noch lokal abgelegt
* ffho-fix-defaultroute: entfernt
* ffho-site-auto-select: entfernt
* ffho-web-autoupdater: ersetzt ffho-luci-autoupdater-wifi-fallback
    * Update-Minute einstellbar
* ffho-web-\*: ersetzt ffho-web-\*
* gluon-ebtables-source-filter: ersetzt ffho-ebtables-net-rules
* gluon-next-node: entfällt
* gluon-status-page: ersetzt ffho-status-page
* gluon-web\*: ersetzt gluon-luci\*
* gluon-web-logging: ersetzt ffho-luci-remote-syslog
* gluon-web-network: ersetzt gluon-luci-portconfig
* template.conf:
    * IPs von GW06 entfernt
    * veraltete Config für ffho-debug entfernt
* Neue Hardware:
    * ar71xx-generic:
        * GL Innovations GL-AR300M
        * GL Innovations GL-AR750
        * TP-Link Acer C7 v4
        * TP-Link RE450
        * TP-Link WBS210 v1.20
        * TP-Link WBS510 v1.20
        * TP-Link WR1043N v5
        * Ubiquiti AirGateway LR
        * Ubiquiti AirGateway PRO
        * Ubiquiti Rocket M2/M5 Ti
        * Ubiquiti Unifi AP LR
        * Ubiquiti Unifi AC Mesh
    * ar71xx-tiny:
        * TP-Link TL-WA730RE v1
        * TP-Link TL-WA7210N v2
        * TP-Link TL-WR940N v6
    * x86-generic: ersetzt x86-kvm und x86-xen_domu
    * x86-geode: Neu
    * ramips-mt7621:
        * Ubiquiti er-x
        * Ubiquiti er-x-sfp

## 1.0.6

Änderungen im Vergleich zu [1.0.5](https://firmware.hochstift.freifunk.net/1.0.5/Changelog.html)

* Basis: gluon [v2016.2.7](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.7)
* template.conf:
    * IPs für GW01 hinzugefügt
* ffho-ath9k-blackout-workaround:
    * Einige Fehler behoben

## 1.0.5

Änderungen im Vergleich zu [1.0.4](https://firmware.hochstift.freifunk.net/1.0.4/Changelog.html)

* Basis: gluon [v2016.2.6](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.6)
* template.conf:
    * Link zur Karte korrigiert
* Hardware:
    * TP-Link
        * TL-WR841N/ND v12

## 1.0.4

Änderungen im Vergleich zu [1.0.3](https://firmware.hochstift.freifunk.net/1.0.3/Changelog.html)

* Basis: gluon [v2016.2.5](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.5)
* ffho-ebtables-net-rules
    * Änderungen von gluon-ebtables-source-filter übernommen
* opkg:
    * Signatur für eigene Modules/Packages korrigiert
* template.conf:
    * IPv6-Adresse von GW06 hinzugefügt
    * Signing-Key von leeps entfernt
    * Einstellungen für ath9k-workaround optimiert
* Hardware:
    * x86-generic und x86-64 unterstützen nun auch WLAN-Karten

## 1.0.3

Änderungen im Vergleich zu [1.0.2](https://firmware.hochstift.freifunk.net/1.0.2/Changelog.html)

* sites.conf:
    * Fehlerhafte Gruppenzuordnung bei Salzkotten behoben

## 1.0.2

Änderungen im Vergleich zu [1.0.1](https://firmware.hochstift.freifunk.net/1.0.1/Changelog.html)

* sites.conf:
    * Falsche Gruppenzuordnung bei Lichtenau behoben

## 1.0.1

Änderungen im Vergleich zu [1.0.0](https://firmware.hochstift.freifunk.net/1.0.0/Changelog.html)

* ffho-ebtables-net-rules:
    * Problem bei fehlendem additional_prefix6 behoben

## 1.0.0

Änderungen im Vergleich zu [0.7.4](https://firmware.hochstift.freifunk.net/0.7.4/Changelog.html)

* Basis: gluon [v2016.2.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.3)
* gluon-alfred: entfernt
* ffho-debug:
    * Es werden nun alle vorhandenen WLAN-Interfaces abgefragt (bessere Unterstützung von dualband Geräten und 802.11s-Mesh)
    * Fehler beim Versenden des Reports behoben
* ffho-luci-ap-timer:
    * Fehler bei leerer Config behoben
* gluon-mesh-batman-adv-15:
    * ersetzt gluon-mesh-batman-adv-14
* ffho-respondd-config: entfernt
* groups.conf: NEW
    * Infos über die Konfigurationen der einzelnen Sites
* sites.conf:
    * Zuweisung von Region -> Site/Gruppe hinzugefügt
* template.conf:
    * Als URL zum OpenWRT-Package-Repository wird nun eine eigene genutzt
    * NTP-Server auf ntp.srv.in.ffho.net geändert
    * Adressen für Site-Split angepasst
    * Von IBSS-Mesh auf 11s-Mesh gewechselt
    * Gateways aktualisiert
* Hardware:
    * ar71xx-generic
        * TP-Link
            * TL-WR940N v4
            * TL-WR1043N/ND v4
        * Cisco Meraki
            * MR12: entfernt
            * MR16: entfernt
            * MR62: entfernt
            * MR66: entfernt


